Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.dtsm
Class CompressedTable

    java.lang.Object
      com.dbxml.xml.dtsm.CompressedTable

All Implemented Interfaces:
  DocumentTable

public final class CompressedTable
extends java.lang.Object
implements DocumentTable

CompressedTable

Constructor Summary
`CompressedTable(byte[] data, SymbolTable symbols)`

Method Summary
`byte[]` | `getData()`
`DocumentTableEntry` | `getEntry(int idx)` getEntry returns the DocumentTableEntry associated with the specified index.
`int` | `getEntryCount()` getEntryCount returns the number of entries in this DocumentTable.
`SymbolTable` | `getSymbolTable()` getSymbolTable returns the SymbolTable associated with this DocumentTable.
`Value` | `getValue(int idx)` getValue returns the Value associated with the specified index.
`Value` | `getValue(ValueTableEntry vte)`
`int` | `getValueCount()` getValueCount returns the number of values in this DocumentTable.
`ValueTableEntry` | `getValueEntry(int idx)` getValueEntry returns the ValueTableEntry associated with the specified index.
`void` | `setSymbolTable(SymbolTable symbols)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompressedTable

    public CompressedTable(byte[] data,
                           SymbolTable symbols)

Method Detail

### getData

    public byte[] getData()

### setSymbolTable

    public void setSymbolTable(SymbolTable symbols)

### getSymbolTable

    public SymbolTable getSymbolTable()

  Description copied from interface: `DocumentTable`
  getSymbolTable returns the SymbolTable associated with this DocumentTable.

  Specified by:
    `getSymbolTable` in interface `DocumentTable`
  Returns:
    The SymbolTable

### getEntryCount

    public int getEntryCount()

  Description copied from interface: `DocumentTable`
  getEntryCount returns the number of entries in this DocumentTable.

  Specified by:
    `getEntryCount` in interface `DocumentTable`
  Returns:
    The DocumentEntry count

### getEntry

    public DocumentTableEntry getEntry(int idx)

  Description copied from interface: `DocumentTable`
  getEntry returns the DocumentTableEntry associated with the specified index.

  Specified by:
    `getEntry` in interface `DocumentTable`
  Parameters:
    `idx` - The DocumentTableEntry to retrieve
  Returns:
    The DocumentTableEntry

### getValueCount

    public int getValueCount()

  Description copied from interface: `DocumentTable`
  getValueCount returns the number of values in this DocumentTable.

  Specified by:
    `getValueCount` in interface `DocumentTable`
  Returns:
    The Value count

### getValueEntry

    public ValueTableEntry getValueEntry(int idx)

  Description copied from interface: `DocumentTable`
  getValueEntry returns the ValueTableEntry associated with the specified index.

  Specified by:
    `getValueEntry` in interface `DocumentTable`
  Parameters:
    `idx` - The ValueTableEntry to retrieve
  Returns:
    The ValueTableEntry

### getValue

    public Value getValue(int idx)

  Description copied from interface: `DocumentTable`
  getValue returns the Value associated with the specified index.

  Specified by:
    `getValue` in interface `DocumentTable`
  Parameters:
    `idx` - The Value to retrieve
  Returns:
    The Value

### getValue

    public Value getValue(ValueTableEntry vte)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group